// -*- coding: utf-8 -*- 
// Billy-Bob - Bonus planet
// JackDole 2016.06.26 17:41:19

// Billy-Bob

Barycenter "Bill-Bob"
{
    ParentBody  "JDV 00041"

    Obliquity       0
    EqAscendNode    0

    Orbit
    {
        RefPlane        "Ecliptic"
        SemiMajorAxis   2.5
        Period          2.2838146
        Eccentricity    0
        Inclination     -28.5714
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     -97.1429
    }
}

Planet	"Billy"
{
    ParentBody     "Bill-Bob"
    Class	       "Terra"

    Mass            0.69857
    Radius          6000
    InertiaMoment   0.330678

    Oblateness      0.00766196

    RotationPeriod  17.2614
    Obliquity       22.9489
    EqAscendNode    -3.67223

    AlbedoBond      0.420361
    AlbedoGeom      0.504434
    Brightness      2
    Color          (0.956 0.969 0.987)

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Terrestrial"
        Panspermia "true"
    }

    Surface
    {
        SurfStyle       0.328157
        OceanStyle      0.20057
        Randomize      (0.539, -0.409, 0.671)
        colorDistMagn   0.0409937
        colorDistFreq   921.859
        detailScale     15432.3
        colorConversion true
        drivenDarkening -1
        seaLevel        0.475
        snowLevel       0.766414
        tropicLatitude  0.38991
        icecapLatitude  0.830241
        icecapHeight    0.484073
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.14631
        venusFreq       0.786938
        venusMagn       0
        mareFreq        0.013895
        mareDensity     0.0390678
        terraceProb     0.240873
        erosion         0.106948
        montesMagn      0.181694
        montesFreq      197.898
        montesSpiky     0.911033
        montesFraction  0.130108
        dunesMagn       0.0570911
        dunesFreq       51.5451
        dunesFraction   0.753295
        hillsMagn       0.105653
        hillsFreq       597.535
        hillsFraction   0.0907543
        hills2Fraction  0.0134521
        riversMagn      55.0783
        riversFreq      4.15396
        riversSin       6.20949
        riversOctaves   2
        canyonsMagn     0.0661989
        canyonsFreq     100
        canyonFraction  0.581363
        cracksMagn      0.0934386
        cracksFreq      0.540047
        cracksOctaves   0
        craterMagn      0.598673
        craterFreq      18.3905
        craterDensity   0
        craterOctaves   0
        craterRayedFactor 0
        volcanoMagn     0.222222
        volcanoFreq     0.559559
        volcanoDensity  0.222615
        volcanoOctaves  3
        volcanoActivity 0.301316
        volcanoFlows    0.655908
        volcanoRadius   0.44843
        volcanoTemp     1394.61
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     1.94078
        stripeFluct     0
        stripeTwist     0
        cycloneMagn     2.39722
        cycloneFreq     0.778349
        cycloneDensity  0.282455
        cycloneOctaves  2
        colorSea       (0.040, 0.100, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.460, 1.000)
        colorBeach     (0.740, 0.730, 0.610, 0.000)
        colorDesert    (0.450, 0.420, 0.380, 0.000)
        colorLowland   (0.480, 0.380, 0.280, 0.000)
        colorUpland    (0.600, 0.540, 0.420, 0.000)
        colorRock      (0.170, 0.160, 0.160, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.100, 0.160, 0.070, 0.000)
        colorUpPlants  (0.090, 0.110, 0.040, 0.000)
        BumpHeight      20
        BumpOffset      9.5
        DiffMapAlpha   "Water"
        SpecBrightWater 0.65
        SpecBrightIce   0.85
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Clouds
    {
        Height          21.5444
        Velocity        69.6291
        BumpHeight      9.52381
        BumpOffset      3.96825
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        1.03048
        mainOctaves     10
        Coverage        0.238095
        stripeZones     1.94078
        stripeFluct     0
        stripeTwist     0
    }

    Clouds
    {
        Height          8.29346
        Velocity        34.1668
        BumpHeight      4.1467
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        1.03048
        mainOctaves     10
        Coverage        0.238095
        stripeZones     1.94078
        stripeFluct     0
        stripeTwist     0
    }

    Clouds
    {
        Height          12.4399
        Velocity        47.3459
        BumpHeight      4.1467
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        1.03048
        mainOctaves     10
        Coverage        0.238095
        stripeZones     1.94078
        stripeFluct     0
        stripeTwist     0
    }

    Ocean
    {
        Height          9.5
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
    }

    NoLava          true

    Atmosphere
    {
        Model          "Earth"
        Height          60
        Density         1.2929
        Pressure        1
        Greenhouse      77.1957
        Bright          10
        Opacity         1
        SkyLight        3
        Hue             0
        Saturation      1

        Composition
        {
            N2    	77.007
            O2    	21.4781
            CO2   	0.927767
            Ar    	0.374287
            H2O   	0.212813
        }
    }

    Aurora
    {
        Height      78.3234
        NorthLat    59.0667
        NorthLon    176.484
        NorthRadius 1843.73
        NorthWidth  601.932
        NorthRings  2
        NorthBright 0.3
        NorthParticles 0
        SouthLat    -62.2407
        SouthLon    353.917
        SouthRadius 1768.1
        SouthWidth  519.369
        SouthRings  5
        SouthBright 0.3
        SouthParticles 0
        TopColor    (1.000 1.000 1.000)
        BottomColor (0.000 1.000 0.000)
    }

    NoRings         true
    NoAccretionDisk true
    NoCometTail     true

    Orbit
    {
        RefPlane        "Ecliptic"
        SemiMajorAxis   8.4531e-005
        Period          0.0136895
        Eccentricity    0
        Inclination     0
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
    }
}

Moon "Bob"
{
    ParentBody  "Bill-Bob"
    Class       "Selena"
    
    Radius      3000
    Mass        0.087321
    
    Orbit
    {
        RefPlane    "Ecliptic"
        SemiMajorAxis   0.0006762
        Period          0.0136895
        Inclination     0
        Eccentricity    0
        AscendingNode   0
        ArgOfPericen    180
        MeanAnomaly     0
    }
}

